Skip to content
Last updated

View aggregate and per-connection sync statistics.

Get aggregate stats

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/sync-stats

Returns dashboard-level statistics across all connections in the workspace.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

Query Parameters

start_date string optional

Filter stats from this date (YYYY-MM-DD).

end_date string optional

Filter stats until this date (YYYY-MM-DD).


Get connection stats

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/sync-stats

Returns sync statistics for a specific connection.

Path Parameters

connection_id string required

The connection ID.


Returns

A stats object containing data (array of stat entries), total_bytes_synced, total_rows_synced, and total_jobs.

cURL — Aggregate
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/sync-stats?start_date=2024-06-01" \
  -H "Authorization: Bearer $ACCESS_TOKEN"